| Home | Libraries | People | FAQ | More

#### grammar::alnum_chars

The set of letters and digits.

##### Synopsis

Defined in header `<boost/url/grammar/alnum_chars.hpp>`

    constexpr implementation-defined alnum_chars;

##### Example

Character sets are used with rules and the functions `find_if` and `find_if_not`.

    system::result< core::string_view > = parse( "Johnny42" , token_rule( alnumchars ) );

##### BNF

    ALNUM       = ALPHA / DIGIT

    ALPHA       = %x41-5A / %x61-7A
                ; A-Z / a-z

    DIGIT       = %x30-39
                ; 0-9

##### Specification

- B.1. Core Rules (rfc5234)

##### See Also

`find_if`, `find_if_not`, `parse`, `token_rule`.

Convenience header `<boost/url/grammar.hpp>`